<!-- Termux-SSH -->


# Termux-SSH
```
+-----------------------------------------------------------+
| _____                                _____ _____ _   _    |
||_   _|                              /  ___/  ___| | | |   |
|  | | ___ _ __ _ __ ___  _   ___  __ \ `--.\ `--.| |_| |   |
|  | |/ _ \ '__| '_ ` _ \| | | \ \/ /  `--. \`--. \  _  |   |
|  | |  __/ |  | | | | | | |_| |>  <  /\__/ /\__/ / | | |   |
|  \_/\___|_|  |_| |_| |_|\__,_/_/\_\ \____/\____/\_| |_/   |
|                                A tool by Dhrumil Mistry   |
+-----------------------------------------------------------+
| ~ ~ ~ ~ ~ A tool Specially Designed for Termux ~ ~ ~ ~ ~  |
+-----------------------------------------------------------+
```
Termux SSH helps user to setup SSH server on termux android application, which will help them to execute commands remotely using a command line.
If your device is rooted then you can have full control over the android smartphone. You can take screenshots, record and capture audio, video, images remotely using termux apis.
> This feature might not work on few devices. Refer [Termux-API documentation](https://wiki.termux.com/wiki/Termux:API) for more information.

##

## Screenshot
<p align="center">
  <img src="https://github.com/dmdhrumilmistry/Termux-SSH/blob/main/.images/SafePass-Termux-CowsayBanner.jpg?raw=true" alt="Termux-SSH UI" />
</p>

##

## Installation

### Using bash script

- Execute command in Termux App
  ```
  curl https://raw.githubusercontent.com/dmdhrumilmistry/Termux-SSH/main/install.sh | bash
  ```

### Maually

- Open Termux terminal

- Install Python and git packages
   ```bash
   pkg install python git -y
   ```
   
- Install required packages
   ```bash
   pip install git+https://github.com/dmdhrumilmistry/Termux-SSH.git
   ```
   
- Start Termux-SSH and Install required tools
   ```
   python -m termux_ssh
   ```
   ```
   install
   ```
  
##


### Features

   - Helps user to setup basic SSH server
   - Automated Setup
   - Instructed Steps
   - Secure script

##


### Dependencies

   **`Termux-SSH`** requires following programs to run properly -
   - `Python`
      - `subprocess module`
      - `colorama`
      - `prettytable`
   - `OpenSSH`
   - `Nmap`
   - `termux-api`
   - `termux-auth`
   
  > All the dependencies will be installed automatically when you run install.py script
  
  ##
  ## [License](https://github.com/dmdhrumilmistry/Termux-SSH/blob/main/LICENSE)
  MIT License
  
  
  ##
  ### Have any Issues?
  Create an issue from ***[Issues Tab](https://github.com/dmdhrumilmistry/Termux-SSH/issues)***

  
  ##
  ## Leave A Star⭐
  
  ##
  ### Video Tutorial
  
  <a href = "https://www.youtube.com/watch?v=V_m3vHmOY3c" target = "_blank"><img src = "https://img.shields.io/badge/YouTube%20Video-For%20video%20click%20here-bd2c00"></a><br>
  
  ### Support Me on:
  
  <p align ="left">
    <a href = "https://github.com/dmdhrumilmistry" target="_blank"><img src = "https://img.shields.io/badge/Github-dmdhrumilmistry-333"></a>
    <a href = "https://www.instagram.com/dmdhrumilmistry/" target="_blank"><img src = "https://img.shields.io/badge/Instagram-dmdhrumilmistry-833ab4"></a>
    <a href = "https://twitter.com/dmdhrumilmistry" target="_blank"><img src = "https://img.shields.io/badge/Twitter-dmdhrumilmistry-4078c0"></a><br>
    <a href = "https://dhrumilmistrywrites.blogspot.com/" target="_blank"><img src = "https://img.shields.io/badge/YouTube-Dhrumil%20Mistry-critical"></a>
    <a href = "https://www.youtube.com/channel/UChbjrRvbzgY3BIomUI55XDQ" target="_blank"><img src = "https://img.shields.io/badge/Blog-Dhrumil%20Mistry-bd2c00"></a>
      <a href = "https://www.linkedin.com/in/dhrumil-mistry-312966192/" target="_blank"><img src = "https://img.shields.io/badge/LinkedIn-Dhrumil%20Mistry-4078c0"></a><br>
    
   </p>
  
